Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.stochprocess
Class InverseGaussianProcessBridge

    java.lang.Object
      umontreal.iro.lecuyer.stochprocess.StochasticProcess
          umontreal.iro.lecuyer.stochprocess.InverseGaussianProcess
              umontreal.iro.lecuyer.stochprocess.InverseGaussianProcessMSH
                  umontreal.iro.lecuyer.stochprocess.InverseGaussianProcessBridge

    public class InverseGaussianProcessBridge

extends InverseGaussianProcessMSH

Samples the path by bridge sampling: first finding the process value at the final time and then the middle time, etc. The method `nextObservation()` returns the path value in that non-sequential order. This class uses two `RandomStream`'s to generate a path.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`path`

Constructor Summary
`InverseGaussianProcessBridge(double s0, double delta, double gamma, RandomStream stream, RandomStream otherStream)` Constructs a new `InverseGaussianProcessBridge`.

Method Summary
`double[]` | `generatePath()` Generates the path.
`double[]` | `generatePath(double[] unifNorm, double[] unifOther)` Instead of using the internal streams to generate the path, it uses two arrays of uniforms U[0, 1).
`RandomStream` | `getStream()` Only returns a stream if both inner streams are the same.
`double` | `nextObservation()` Returns the next observation in the bridge order, not the sequential order.
`void` | `resetStartProcess()` Resets the observation counter to its initial value j = 0, so that the current observation X(tj) becomes X(t0).
`void` | `setStream(RandomStream stream)` Sets both inner streams to the same `stream`.
`void` | `setStream(RandomStream stream, RandomStream otherStream)` Sets the streams.

Methods inherited from class umontreal.iro.lecuyer.stochprocess.InverseGaussianProcessMSH
`generatePath, getNormalGen, getOtherStream, setNormalGen, setOtherStream`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.InverseGaussianProcess
`getAnalyticAverage, getAnalyticVariance, getDelta, getGamma, getNumberOfRandomStreams, setParams`

Methods inherited from class umontreal.iro.lecuyer.stochprocess.StochasticProcess
`generatePath, getArrayMappingCounterToIndex, getCurrentObservation, getCurrentObservationIndex, getNbObservationTimes, getObservation, getObservationTimes, getPath, getSubpath, getX0, hasNextObservation, setObservationTimes, setObservationTimes`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InverseGaussianProcessBridge

    public InverseGaussianProcessBridge(double s0,
                                        double delta,
                                        double gamma,
                                        RandomStream stream,
                                        RandomStream otherStream)

  Constructs a new `InverseGaussianProcessBridge`. The initial value `s0` will be overridden by t[0] when the observation times are set.

Method Detail

### generatePath

    public double[] generatePath()

  Generates the path. The two inner `RandomStream`'s are sampled alternatively.

  Overrides:
    `generatePath` in class `InverseGaussianProcessMSH`

### generatePath

    public double[] generatePath(double[] unifNorm,
                                 double[] unifOther)

  Instead of using the internal streams to generate the path, it uses two arrays of uniforms U[0, 1). The length of the arrays `unifNorm` and `unifOther` should be equal to the number of time steps, excluding t0.

  Overrides:
    `generatePath` in class `InverseGaussianProcessMSH`

### nextObservation

    public double nextObservation()

  Returns the next observation in the bridge order, not the sequential order.

  Overrides:
    `nextObservation` in class `InverseGaussianProcessMSH`

### resetStartProcess

    public void resetStartProcess()

  Description copied from class: `StochasticProcess`
  Resets the observation counter to its initial value j = 0, so that the current observation X(tj) becomes X(t0). This method should be invoked before generating observations sequentially one by one via `nextObservation`, for a new sample path.

  Overrides:
    `resetStartProcess` in class `StochasticProcess`

### getStream

    public RandomStream getStream()

  Only returns a stream if both inner streams are the same.

  Overrides:
    `getStream` in class `InverseGaussianProcessMSH`

### setStream

    public void setStream(RandomStream stream,
                          RandomStream otherStream)

  Sets the streams.

  Overrides:
    `setStream` in class `InverseGaussianProcessMSH`

### setStream

    public void setStream(RandomStream stream)

  Sets both inner streams to the same `stream`.

  Overrides:
    `setStream` in class `InverseGaussianProcessMSH`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.